curl --request GET \
--url https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/transfersimport requests
url = "https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/transfers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/transfers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/transfers")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"meta": {
"amount": 123,
"limit": 123,
"offset": 123
},
"result": [
{
"adjustmentTransactionIds": [
123
],
"amount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"creditorAccount": "<string>",
"creditorPaymentScheme": "SEPACT",
"currency": "EUR",
"debtorAccount": "<string>",
"debtorPaymentScheme": "SEPAINST",
"endToEndId": "<string>",
"id": 123,
"sepaMessageId": "<string>",
"settlementDate": "2023-12-25",
"status": "CREATED",
"transferType": "INTERNAL",
"updatedAt": "2023-11-07T05:31:56Z",
"creditorBankName": "<string>",
"debtorBankName": "<string>",
"paymentTransactionId": 123,
"purpose": "Transfer to safeguarding account"
}
]
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}Get liquidity transfers
Retrieves liquidity transfers between settlement accounts and withdrawals to safeguarding accounts.
curl --request GET \
--url https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/transfersimport requests
url = "https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/transfers"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/transfers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/transfers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/transfers"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/transfers")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pgw-sandbox.finventi.com/v1/nostro-accounts/transfers")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"meta": {
"amount": 123,
"limit": 123,
"offset": 123
},
"result": [
{
"adjustmentTransactionIds": [
123
],
"amount": 123,
"createdAt": "2023-11-07T05:31:56Z",
"creditorAccount": "<string>",
"creditorPaymentScheme": "SEPACT",
"currency": "EUR",
"debtorAccount": "<string>",
"debtorPaymentScheme": "SEPAINST",
"endToEndId": "<string>",
"id": 123,
"sepaMessageId": "<string>",
"settlementDate": "2023-12-25",
"status": "CREATED",
"transferType": "INTERNAL",
"updatedAt": "2023-11-07T05:31:56Z",
"creditorBankName": "<string>",
"debtorBankName": "<string>",
"paymentTransactionId": 123,
"purpose": "Transfer to safeguarding account"
}
]
}{
"code": "<string>",
"data": {
"errors": [
{
"code": "<string>",
"field_name": "<string>",
"message": "<string>",
"value": "<string>"
}
],
"message": "<string>"
},
"message": "<string>"
}Overview
This endpoint lists your liquidity transfers: transfers between settlement accounts (INTERNAL) and withdrawals to safeguarding accounts (SAFEGUARDING), including those created by automatic liquidity.
Transfer Information
- Transfer type, amount and currency
- Debtor and creditor accounts and their payment schemes
- Status and timestamps
- Linked transactions:
adjustmentTransactionIdsfor bookings on your settlement accounts,paymentTransactionIdfor the payment created by a withdrawal or an EKS transfer
Query Parameters
A limit on the number of objects returned per page. The default is 10 items.
1 <= x <= 100Specifies the starting position for retrieving items in paginated results. The default is 0 items.
x >= 0A filter by liquidity transfer request ID.
A filter by debtor account.
A filter by creditor account.
A filter by liquidity transfer request status. Multiple values are supported e.g. status=CREATED&status=COMPLETED
CREATED, SENT_TO_CLEAR, ACCEPTED, REJECTED, COMPLETED A filter by liquidity transfer request date time from (ISO-8601 format).
"2023-10-24T12:00:00Z"
A filter by liquidity transfer request date time to (ISO-8601 format).
"2023-10-24T12:00:00Z"
A filter by liquidity transfer type. Multiple values are supported e.g. transferType=INTERNAL&transferType=SAFEGUARDING. Defaults to INTERNAL.
INTERNAL, SAFEGUARDING A sort by liquidity transfer request id field
Show child attributes
Show child attributes